net.minecraft.world.demo

## Class DemoWorldServer

- java.lang.Object
- - net.minecraft.world.World
  - - net.minecraft.world.WorldServer
    - - net.minecraft.world.demo.DemoWorldServer

- All Implemented Interfaces:
    IBlockAccess

      public class DemoWorldServer
      extends WorldServer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WorldSettings` | `demoWorldSettings`

    - ### Fields inherited from class net.minecraft.world.WorldServer

      `allPlayersSleeping, bonusChestContent, canNotSave, customTeleporters, theChunkProviderServer`

    - ### Fields inherited from class net.minecraft.world.World

      `activeChunkSet, difficultySetting, findingSpawnPoint, isRemote, lastLightningBolt, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, prevRainingStrength, prevThunderingStrength, provider, rainingStrength, rand, scheduledUpdatesAreImmediate, skylightSubtracted, theProfiler, thunderingStrength, villageCollectionObj, weatherEffects`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DemoWorldServer(MinecraftServer par1MinecraftServer, ISaveHandler par2ISaveHandler, String par3Str, int par4, Profiler par5Profiler, ILogAgent par6ILogAgent)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraft.world.WorldServer

      `addBlockEvent, addWeatherEffect, areAllPlayersAsleep, canMineBlock, canMineBlockBody, flush, func_104140_m, func_82740_a, getAllTileEntityInBox, getChunkSaveLocation, getDefaultTeleporter, getEntityByID, getEntityTracker, getEntrancePortalLocation, getMinecraftServer, getPendingBlockUpdates, getPlayerManager, isBlockTickScheduled, newExplosion, releaseEntitySkin, resetUpdateEntityTick, saveAllChunks, scheduleBlockUpdate, scheduleBlockUpdateFromLoad, setEntityState, setSpawnLocation, spawnRandomCreature, tick, tickUpdates, uncheckedUpdateEntity, updateAllPlayersSleepingFlag, updateEntities, updateEntityWithOptionalForce`

    - ### Methods inherited from class net.minecraft.world.World

      `addLoadedEntities, addTileEntity, addTileEntity, addWorldAccess, addWorldInfoToCrashReport, blockExists, blockGetRenderType, blockHasTileEntity, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canPlaceEntityOnSide, canSnowAt, canSnowAtBody, checkBlockCollision, checkChunksExist, checkNoEntityCollision, checkNoEntityCollision, checkSessionLock, countEntities, countEntities, createExplosion, destroyBlock, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, func_82735_a, func_82738_a, func_82739_e, func_85174_u, func_92088_a, func_96440_m, getActualHeight, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlockDensity, getBlockId, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMaterial, getBlockMetadata, getBlockPowerInput, getBlockTileEntity, getBrightness, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkHeightMapMinimum, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCloudColour, getCollidingBlockBounds, getCollidingBoundingBoxes, getCurrentDate, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFirstUncoveredBlock, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getIndirectPowerLevelTo, getIndirectPowerOutput, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getMoonPhase, getPathEntityToEntity, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getScoreboard, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getStrongestIndirectPower, getSunBrightness, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldLogAgent, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, isAABBInMaterial, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockNormalCube, isBlockNormalCubeDefault, isBlockOpaqueCube, isBlockProvidingPowerTo, isBlockSolidOnSide, isBlockSolidOnSide, isBlockTopFacingSurfaceSolid, isBoundingBoxBurning, isDaytime, isMaterialInBB, isRaining, isThundering, joinEntityInSurroundings, loadItemData, markBlockForRenderUpdate, markBlockForUpdate, markBlockRangeForRenderUpdate, markBlocksDirtyVertical, markTileEntityForDespawn, notifyBlockChange, notifyBlockOfNeighborChange, notifyBlocksOfNeighborChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playRecord, playSound, playSoundAtEntity, playSoundEffect, playSoundToNearExcept, rayTraceBlocks_do_do, rayTraceBlocks_do, rayTraceBlocks, removeBlockTileEntity, removeEntity, removePlayerEntityDangerously, removeWorldAccess, selectEntitiesWithinAABB, sendQuittingDisconnectingPacket, setAllowedSpawnTypes, setBlock, setBlock, setBlockMetadataWithNotify, setBlockTileEntity, setBlockToAir, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setWorldTime, spawnEntityInWorld, spawnParticle, toggleRain, unloadEntities, updateAllLightTypes, updateEntity, updateLightByType, updateTileEntityChunkAndDoNothing, updateWeatherBody`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### demoWorldSettings

          public static final WorldSettings demoWorldSettings

  - ### Constructor Detail

    - #### DemoWorldServer

          public DemoWorldServer(MinecraftServer par1MinecraftServer,
                         ISaveHandler par2ISaveHandler,
                         String par3Str,
                         int par4,
                         Profiler par5Profiler,
                         ILogAgent par6ILogAgent)